WPSSubDocument Class Reference documentation

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
WPSSubDocument Class Reference

virtual class to define a sub document More...

`#include <WPSSubDocument.h>`

Inheritance diagram for WPSSubDocument:

## Public Member Functions
| WPSSubDocument (RVNGInputStreamPtr const &input, int id=0)
| constructor
virtual | ~WPSSubDocument ()
| destructor
RVNGInputStreamPtr & | getInput ()
| returns the input
int | id () const
| get the identificator
void | setId (int i)
| set the identificator
virtual bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const
| an operator =
bool | operator!= (std::shared_ptr< WPSSubDocument > const &doc) const

## Protected Attributes
RVNGInputStreamPtr | m_input
int | m_id

## Private Member Functions
| WPSSubDocument (const WPSSubDocument &)=delete
WPSSubDocument & | operator= (const WPSSubDocument &)=delete

## Detailed Description

virtual class to define a sub document

## Constructor & Destructor Documentation

## ◆ WPSSubDocument() [1/2]

WPSSubDocument::WPSSubDocument | ( | RVNGInputStreamPtr const & | input,
|  | int | id = `0`
| ) |  |
| explicit

constructor

## ◆ ~WPSSubDocument()

WPSSubDocument::~WPSSubDocument | ( |  | ) |
| virtual

destructor

## ◆ WPSSubDocument() [2/2]

WPSSubDocument::WPSSubDocument | ( | const WPSSubDocument & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ getInput()

RVNGInputStreamPtr & WPSSubDocument::getInput | ( |  | ) |
| inline

returns the input

## ◆ id()

int WPSSubDocument::id | ( |  | ) | const
| inline

get the identificator

## ◆ operator!=()

bool WPSSubDocument::operator!= | ( | std::shared_ptr< WPSSubDocument > const & | doc | ) | const
| inline

## ◆ operator=()

WPSSubDocument & WPSSubDocument::operator= | ( | const WPSSubDocument & |  | ) |
| privatedelete

## ◆ operator==()

bool WPSSubDocument::operator== | ( | std::shared_ptr< WPSSubDocument > const & | doc | ) | const
| virtual

an operator =

Reimplemented in LotusGraphInternal::SubDocument, LotusSpreadsheetInternal::SubDocument, MSWriteParserInternal::SubDocument, QuattroParserInternal::SubDocument, Quattro9ParserInternal::SubDocument, Quattro9GraphInternal::SubDocument, QuattroDosParserInternal::SubDocument, QuattroGraphInternal::SubDocument, WKSChartInternal::SubDocument, WPS4ParserInternal::SubDocument, WPS8ParserInternal::SubDocument, XYWriteParserInternal::SubDocument, WKSSubDocument, WPSTextSubDocument, and WPS8TextInternal::SubDocument.

Referenced by operator!=().

## ◆ setId()

void WPSSubDocument::setId | ( | int | i | ) |
| inline

set the identificator

## Member Data Documentation

## ◆ m_id

int WPSSubDocument::m_id
| protected

Referenced by id(), operator==(), and setId().

## ◆ m_input

RVNGInputStreamPtr WPSSubDocument::m_input
| protected

Referenced by getInput(), WPSTextSubDocument::getInput(), operator==(), LotusSpreadsheetInternal::SubDocument::parse(), MSWriteParserInternal::SubDocument::parse(), XYWriteParserInternal::SubDocument::parse(), and WPS8TextInternal::SubDocument::parse().

The documentation for this class was generated from the following files:

- WPSSubDocument.h
- WPSSubDocument.cpp